import router from '@/router'
import { login } from '@/api/user'

export const useUserStore = defineStore({
  id: 'user',
  state: () => ({
    user: {},
    flag: false,
    token: localStorage.getItem('token') || 't'
  }),
  actions: {
    async getUserInfo() {
      // const userRes: any = await getUserInfo()
      // this.user = userRes.infos[0]
      // 这里可以添加从后台获取菜单的接口
      this.flag = true
    },
    async login(data: any) {
      const res: any = await login(data)
      this.token = res.token
      this.user = res.user
      localStorage.setItem('token', this.token)

      router.replace({ path: (router.currentRoute.value.query.redirect as string) || '/' })
    },
    logout() {
      localStorage.removeItem('token')
      sessionStorage.removeItem('globalTabs')
      this.$reset()
      router.push({ path: '/login', query: { redirect: router.currentRoute.value.fullPath } })
    }
  }
})
